import { ItemStack, Player, world, system } from "@minecraft/server";

import "trinkets.js";
import "lore.js";
import { reset_trinkets } from "./trinkets";
// World

world.afterEvents.playerSpawn.subscribe(({ player }) => {
    if (!player.getDynamicProperty("ale:player_joined") || false) {
        player.runCommandAsync("execute as @s run function init");
        reset_trinkets(player);
    }
    player.setDynamicProperty("ale:player_joined", true);
    player.runCommandAsync("gamerule sendcommandfeedback false");
});

